import { ISnackBarParams } from "../../types";
declare type TSnackBarSubscribe = () => void;
declare class Store {
    private subscribes;
    private items;
    subscribe(callback: TSnackBarSubscribe): void;
    unsubscribe(callback: TSnackBarSubscribe): void;
    private notify;
    add(item: ISnackBarParams & Required<Pick<ISnackBarParams, "id">>): void;
    remove(id: string | number): void;
    get data(): Array<any>;
}
declare const _default: Store;
export default _default;
